com.pixelmed.test

## Class UserInterfaceUtilities

- java.lang.Object
- - com.pixelmed.test.UserInterfaceUtilities

    public class UserInterfaceUtilities
    extends java.lang.Object

### Field Summary

Fields
`protected static java.util.Map<java.lang.String,javax.swing.JDialog>` `openDialogs`

### Constructor Summary

Constructors
Constructor and Description
`UserInterfaceUtilities()`

### Method Summary

Methods
`static void` `dumpAllFramesAndChildren(java.io.PrintStream stream)`
`protected static void` `dumpAllFramesAndChildren(java.io.PrintStream stream, java.lang.String indentSoFar, java.lang.String indentOne)`
`static void` `dumpAllOwnedWindows(java.io.PrintStream stream)`
`protected static void` `dumpAllOwnedWindows(java.io.PrintStream stream, java.lang.String indentSoFar, java.lang.String indentOne)`
`protected static void` `dumpAllOwnedWindows(java.awt.Window[] windows, java.io.PrintStream stream, java.lang.String indentSoFar, java.lang.String indentOne)`
`protected static void` `dumpAllOwnedWindows(java.awt.Window w, java.io.PrintStream stream, java.lang.String indentSoFar, java.lang.String indentOne)`
`static void` `dumpComponentAndChildren(java.awt.Component c, java.io.PrintStream stream)`
`protected static void` `dumpComponentAndChildren(java.awt.Component c, java.io.PrintStream stream, java.lang.String indentSoFar, java.lang.String indentOne)`
`static void` `dumpRootPaneAndChildren(java.io.PrintStream stream)`
`protected static void` `dumpRootPaneAndChildren(java.io.PrintStream stream, java.lang.String indentSoFar, java.lang.String indentOne)`
`protected static void` `findComponentsOfClass(java.util.ArrayList<java.awt.Component> found, java.awt.Component c, java.lang.String className)`
`static java.awt.Component[]` `findComponentsOfClass(java.awt.Component parent, java.lang.String className)`
`static java.awt.Component[]` `findComponentsOfClass(java.lang.String className)`
`protected static void` `findComponentsOfClassWithTextValue(java.util.ArrayList<java.awt.Component> found, java.awt.Component c, java.lang.String className, java.lang.String textValue)`
`static java.awt.Component[]` `findComponentsOfClassWithTextValue(java.awt.Component parent, java.lang.String className, java.lang.String textValue)`
`static java.awt.Component[]` `findComponentsOfClassWithTextValue(java.lang.String className, java.lang.String textValue)`
`static javax.swing.JDialog` `getOpenDialogByTitle(java.lang.String title)`
`static void` `registerWindowOpeningAndClosingListenerToTrackDialogs()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### openDialogs

    protected static java.util.Map<java.lang.String,javax.swing.JDialog> openDialogs

### Constructor Detail

#### UserInterfaceUtilities

    public UserInterfaceUtilities()

### Method Detail

#### dumpAllOwnedWindows

    protected static void dumpAllOwnedWindows(java.awt.Window w,
                           java.io.PrintStream stream,
                           java.lang.String indentSoFar,
                           java.lang.String indentOne)

#### dumpAllOwnedWindows

    protected static void dumpAllOwnedWindows(java.awt.Window[] windows,
                           java.io.PrintStream stream,
                           java.lang.String indentSoFar,
                           java.lang.String indentOne)

#### dumpAllOwnedWindows

    protected static void dumpAllOwnedWindows(java.io.PrintStream stream,
                           java.lang.String indentSoFar,
                           java.lang.String indentOne)

#### dumpAllOwnedWindows

    public static void dumpAllOwnedWindows(java.io.PrintStream stream)

#### dumpRootPaneAndChildren

    protected static void dumpRootPaneAndChildren(java.io.PrintStream stream,
                               java.lang.String indentSoFar,
                               java.lang.String indentOne)

#### dumpRootPaneAndChildren

    public static void dumpRootPaneAndChildren(java.io.PrintStream stream)

#### dumpComponentAndChildren

    protected static void dumpComponentAndChildren(java.awt.Component c,
                                java.io.PrintStream stream,
                                java.lang.String indentSoFar,
                                java.lang.String indentOne)

#### dumpComponentAndChildren

    public static void dumpComponentAndChildren(java.awt.Component c,
                                java.io.PrintStream stream)

#### dumpAllFramesAndChildren

    protected static void dumpAllFramesAndChildren(java.io.PrintStream stream,
                                java.lang.String indentSoFar,
                                java.lang.String indentOne)

#### dumpAllFramesAndChildren

    public static void dumpAllFramesAndChildren(java.io.PrintStream stream)

#### findComponentsOfClassWithTextValue

    protected static void findComponentsOfClassWithTextValue(java.util.ArrayList<java.awt.Component> found,
                                          java.awt.Component c,
                                          java.lang.String className,
                                          java.lang.String textValue)

#### findComponentsOfClassWithTextValue

    public static java.awt.Component[] findComponentsOfClassWithTextValue(java.awt.Component parent,
                                                          java.lang.String className,
                                                          java.lang.String textValue)

#### findComponentsOfClassWithTextValue

    public static java.awt.Component[] findComponentsOfClassWithTextValue(java.lang.String className,
                                                          java.lang.String textValue)

#### findComponentsOfClass

    protected static void findComponentsOfClass(java.util.ArrayList<java.awt.Component> found,
                             java.awt.Component c,
                             java.lang.String className)

#### findComponentsOfClass

    public static java.awt.Component[] findComponentsOfClass(java.awt.Component parent,
                                             java.lang.String className)

#### findComponentsOfClass

    public static java.awt.Component[] findComponentsOfClass(java.lang.String className)

#### registerWindowOpeningAndClosingListenerToTrackDialogs

    public static void registerWindowOpeningAndClosingListenerToTrackDialogs()

#### getOpenDialogByTitle

    public static javax.swing.JDialog getOpenDialogByTitle(java.lang.String title)